#include "etextstaticattr.h"
#include "ui_etextstaticattr.h"
#include <QMessageBox>
eTextStaticAttr::eTextStaticAttr(const eText::Data &data, QWidget *parent) :
    eAttr(parent),
    ui(new Ui::eTextStaticAttr)
{
    ui->setupUi(this);
    init(data);
}

eTextStaticAttr::~eTextStaticAttr()
{
    delete ui;
}

void eTextStaticAttr::init(const eText::Data &data)
{
    connect(ui->timeEdit,      SIGNAL(timeChanged(QTime)),        this, SIGNAL(sPlayDurationChanged(QTime)));
    QTime aa(0,0,0);
    QTime bb = aa.addSecs(data.stStatic.playDuration);
    ui->timeEdit->setTime(bb);
    ui->timeEdit->setCurrentSectionIndex(2);

}

